#include<bits/stdc++.h>

using namespace std;

int main(){
    int m;
    cin>>m;
    vector<pair<int64_t, int64_t>> v(m);
    vector<int64_t> x(m);
    vector<int64_t> y(m);
    int64_t broj = 1000000007
    for(int i = 0;i<m;i++){
        cin>>x[i]>>y[i];
    }
    int64_t najvecax = -100001;
    int64_t najmanjax = 100001;
    int64_t najvecay = -100001;
    int64_t najmanjay = 100001;
    for(int i = 0;i<m;i++){
        int64_t rez = 0;
        if(x[i]<najmanjax){
            najmanjax = x[i];
        }
        if(x[i]>najvecax){
            najvecax = x[i];
        }
        if(y[i]<najmanjay){
            najmanjay = y[i];
        }
        if(y[i]>najvecay){
            najvecay = y[i];
        }
        int64_t s1 = 0;int64_t s2 = 0;int64_t s3 = 0;int64_t s4 = 0;
        for(int j = 0;j<=i;j++){
            s1+=(abs(najmanjax-x[j]))*(abs(najmanjay-y[j]));
            s2+=(abs(najvecax-x[j]))*(abs(najmanjay-y[j]));
            s3+=(abs(najmanjax-x[j]))*(abs(najvecay-y[j]));
            s4+=(abs(najvecax-x[j]))*(abs(najvecay-y[j]));
        }
        rez = max(s1, max(s2, max(s3, s4)));
        cout<<rez%broj<<endl;
    }

    return 0;
}